@layer snippets{
  #search[popover] [ui-slot=sheet-body]{
    display:flex;
    flex-direction:column;
    gap:var(--spacing-24);
  }
  #search[popover] [ui-slot=sheet-body] [ui-slot=input-wrapper]{
    --input-bg:var(--bg-shade-color);
  }
  #search[popover] [ui-slot=sheet-body] .terms{
    display:flex;
    flex-direction:column;
    gap:var(--spacing-12);
  }
  #search[popover] [ui-slot=sheet-body] .terms .label{
    font:var(--font-label-md);
  }
  #search[popover] [ui-slot=sheet-body] .terms .options{
    display:flex;
    flex-wrap:wrap;
    gap:var(--spacing-16);
  }
  #search[popover] [ui-slot=sheet-body] .products{
    display:flex;
    flex-direction:column;
    padding-block-end:var(--spacing-16);
    overflow-y:scroll;
    gap:var(--spacing-12);
  }
  #search[popover] [ui-slot=sheet-body] .products .label{
    font:var(--font-label-md);
  }
  #search[popover] [ui-slot=sheet-body] .products .items{
    display:grid;
    grid-gap:var(--spacing-24);
    gap:var(--spacing-24);
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item{
    display:flex;
    gap:var(--spacing-16);
    align-items:center;
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .media{
    flex-shrink:0;
    width:100px;
    height:100px;
    overflow:hidden;
    border-radius:var(--radius-12);
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .media ui-image-fallback{
    background-color:oklch(from var(--bg-color) calc(l - 0.018) c h);
    color:oklch(from var(--fg-color) calc(l - 0.4) calc(c + 0.0181) calc(h + 6.6));
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .media > img{
    -o-object-fit:cover;
       object-fit:cover;
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .content{
    display:flex;
    flex:1;
    flex-direction:column;
    gap:var(--spacing-8);
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .content .title{
    justify-content:flex-start;
    overflow:hidden;
    font:var(--font-label-sm);
    text-overflow:ellipsis;
    white-space:nowrap;
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .content .price{
    font:var(--font-label-xs);
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .content .categories{
    display:flex;
    gap:var(--spacing-8);
    align-items:center;
  }
  #search[popover] [ui-slot=sheet-body] .products .items .item .content .categories .category{
    padding:var(--spacing-4) var(--spacing-8);
    border-radius:var(--radius-rounded);
    background-color:oklch(from var(--bg-color) calc(l - 0.018) c h);
    font:var(--font-label-xs);
    text-align:center;
  }
}
